VA 7.01 under OpenSuse 10.2

VA Smalltalk is a "100% VisualAge compatible" IDE that includes the original VisualAge technology and the popular VA Assist and WidgetKit add-ons.

Moderators: Eric Clayberg, wembley, tc, Diane Engles, solveig

VA 7.01 under OpenSuse 10.2

Postby marten » Sat Dec 23, 2006 5:05 am

I tried to install VA 7.01 under OpenSuse 10.2 and have the following

emsrv (surprice, surprise) starts without problems, but emadmin crashes with a segmentation fault. This can be solved by executing "unset Locale" before emadmin and then it works as expected.

I can not start emsrv as a service under OpenSuse 10.2. I wrote a service script under /etc/init.d and when executing them manually via "emsrv start" the services are started without problems.

Linking them into the runlevels - no chance. Even starting these services from the yast GUI does not work. Very sad, that emadmin still insist on
having a password to stop emsrv - but this can be solved.

I was trying to prepare a virtual image for VASmalltalk and Linux for the VirtualPC.

Any ideas ?
Posts: 641
Joined: Sat Oct 14, 2006 7:10 am
Location: Hamburg - Germany

Postby Diane Engles » Thu Dec 28, 2006 11:06 am

Hi Marten,

We are planning to support official releases of SUSE, so I am going to try to recreate your problem using the latest official SUSE release installed as a VMWare image.


Instantiations Smalltalk Support
Diane Engles
Posts: 66
Joined: Mon Oct 16, 2006 2:40 pm

Return to VA Smalltalk 7.0, 7.5 & 8.0

Who is online

Users browsing this forum: No registered users and 1 guest